;
; crc.asm - CRC8 table for PCLINK
;
; Written by
;  Kajtar Zsolt <soci@c64.rulez.org>
;
;    This file is part of IDEDOS the IDE64 disk operating system
;    See README for copyright notice.
;
;    This program is free software; you can redistribute it and/or modify
;    it under the terms of the GNU General Public License as published by
;    the Free Software Foundation; either version 2 of the License, or
;    (at your option) any later version.
;
;    This program is distributed in the hope that it will be useful,
;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;    GNU General Public License for more details.
;
;    You should have received a copy of the GNU General Public License
;    along with this program; if not, write to the Free Software
;    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
;
crc8		.byte $00,$5e,$bc,$e2,$61,$3f,$dd,$83
		.byte $c2,$9c,$7e,$20,$a3,$fd,$1f,$41
		.byte $9d,$c3,$21,$7f,$fc,$a2,$40,$1e
		.byte $5f,$01,$e3,$bd,$3e,$60,$82,$dc
		.byte $23,$7d,$9f,$c1,$42,$1c,$fe,$a0
		.byte $e1,$bf,$5d,$03,$80,$de,$3c,$62
		.byte $be,$e0,$02,$5c,$df,$81,$63,$3d
		.byte $7c,$22,$c0,$9e,$1d,$43,$a1,$ff
		.byte $46,$18,$fa,$a4,$27,$79,$9b,$c5
		.byte $84,$da,$38,$66,$e5,$bb,$59,$07
		.byte $db,$85,$67,$39,$ba,$e4,$06,$58
		.byte $19,$47,$a5,$fb,$78,$26,$c4,$9a
		.byte $65,$3b,$d9,$87,$04,$5a,$b8,$e6
		.byte $a7,$f9,$1b,$45,$c6,$98,$7a,$24
		.byte $f8,$a6,$44,$1a,$99,$c7,$25,$7b
		.byte $3a,$64,$86,$d8,$5b,$05,$e7,$b9
		.byte $8c,$d2,$30,$6e,$ed,$b3,$51,$0f
		.byte $4e,$10,$f2,$ac,$2f,$71,$93,$cd
		.byte $11,$4f,$ad,$f3,$70,$2e,$cc,$92
		.byte $d3,$8d,$6f,$31,$b2,$ec,$0e,$50
		.byte $af,$f1,$13,$4d,$ce,$90,$72,$2c
		.byte $6d,$33,$d1,$8f,$0c,$52,$b0,$ee
		.byte $32,$6c,$8e,$d0,$53,$0d,$ef,$b1
		.byte $f0,$ae,$4c,$12,$91,$cf,$2d,$73
		.byte $ca,$94,$76,$28,$ab,$f5,$17,$49
		.byte $08,$56,$b4,$ea,$69,$37,$d5,$8b
		.byte $57,$09,$eb,$b5,$36,$68,$8a,$d4
		.byte $95,$cb,$29,$77,$f4,$aa,$48,$16
		.byte $e9,$b7,$55,$0b,$88,$d6,$34,$6a
		.byte $2b,$75,$97,$c9,$4a,$14,$f6,$a8
		.byte $74,$2a,$c8,$96,$15,$4b,$a9,$f7
		.byte $b6,$e8,$0a,$54,$d7,$89,$6b,$35
